
Packaging - Bug #11714

installing dynflow on ubuntu errors out

09/07/2015 09:37 AM - Alex Balk

Status: Closed   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/852

  

Description

dpkg -i ruby-foreman-dynflow_0.8.5-1_all.deb

(Reading database ... 151710 files and directories currently installed.)

Preparing to replace ruby-foreman-dynflow 0.8.5-1 (using ruby-foreman-dynflow_0.8.5-1_all.deb) ...

Unpacking replacement ruby-foreman-dynflow ...

Setting up ruby-foreman-dynflow (0.8.5-1) ...

+ . /usr/share/debconf/confmodule

+ [ !  ]

+ PERL_DL_NONLAZY=1

+ export PERL_DL_NONLAZY

+ [  ]

+ exec /usr/share/debconf/frontend /var/lib/dpkg/info/ruby-foreman-dynflow.postinst configure 0.8.

2-1

+ . /usr/share/debconf/confmodule

+ [ ! 1 ]

+ [ -z  ]

+ exec

+ [  ]

+ exec

+ DEBCONF_REDIR=1

+ export DEBCONF_REDIR

+ LOGFILE=/var/log/foreman-install.log

+ PLUGIN=dynflow

+ trap db_stop EXIT

+ BUNDLE=bundle

+ [ -h /usr/bin/foreman-ruby ]

+ BUNDLE=/usr/bin/foreman-ruby /usr/bin/bundle

+ export HOME=/usr/share/foreman

+ cd /usr/share/foreman

+ [ ! -z 1 ]

+ /usr/bin/foreman-ruby /usr/bin/bundle show dynflow

+ /usr/bin/foreman-ruby /usr/bin/bundle install --local --no-prune

Some gems seem to be missing from your vendor/cache directory.

You have requested:

  foreman-tasks = 0.7.3

The bundle currently has foreman-tasks locked at 0.7.2.

Try running `bundle update foreman-tasks`

/usr/lib/ruby/vendor_ruby/bundler/resolver.rb:287:in `resolve'

/usr/lib/ruby/vendor_ruby/bundler/resolver.rb:161:in `start'

/usr/lib/ruby/vendor_ruby/bundler/resolver.rb:128:in `block in resolve'

/usr/lib/ruby/vendor_ruby/bundler/resolver.rb:127:in `catch'

/usr/lib/ruby/vendor_ruby/bundler/resolver.rb:127:in `resolve'

/usr/lib/ruby/vendor_ruby/bundler/definition.rb:178:in `resolve'

/usr/lib/ruby/vendor_ruby/bundler/definition.rb:113:in `specs'

/usr/lib/ruby/vendor_ruby/bundler/definition.rb:101:in `resolve_with_cache!'
/usr/lib/ruby/vendor_ruby/bundler/installer.rb:80:in `run'

/usr/lib/ruby/vendor_ruby/bundler/installer.rb:14:in `install'

/usr/lib/ruby/vendor_ruby/bundler/cli.rb:230:in `install'

/usr/lib/ruby/vendor_ruby/bundler/vendor/thor/task.rb:27:in `run'

/usr/lib/ruby/vendor_ruby/bundler/vendor/thor/invocation.rb:120:in `invoke_task'

/usr/lib/ruby/vendor_ruby/bundler/vendor/thor.rb:275:in `dispatch'

/usr/lib/ruby/vendor_ruby/bundler/vendor/thor/base.rb:408:in `start'

/usr/bin/bundle:14:in `block in <main>'

/usr/lib/ruby/vendor_ruby/bundler/friendly_errors.rb:4:in `with_friendly_errors'

/usr/bin/bundle:14:in `<main>'

+ chown -Rf foreman:foreman /usr/share/foreman

+ exit 0

+ db_stop

+ echo STOP

History

#1 - 09/07/2015 09:52 AM - Dominic Cleal

- Project changed from foreman-tasks to Packaging

- Category set to Debian/Ubuntu

Perhaps some interaction between an upgrade of both dynflow/foreman-tasks at once?  It's slightly hard to tell without a full reproducer.

I don't see why it'd be using bundle install at that point, unless the bundle show was failing entirely because of the tasks version mismatch.

#2 - 10/21/2015 06:58 AM - Anonymous

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-packaging/pull/852 added

- Pull request deleted ()

I hope this is better with foreman-tasks 0.7.6-2 or later, we'll see

#3 - 12/05/2015 02:08 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

- Assignee set to Anonymous

this seems to be fixed
